-- CREATION DATE: 10-12-2009 --
-- MODIFIED DATE: 05-01-2010 --
-- Vms -- VludsMapScroll
------------------------------------------------------------------------------------------------------
VmsAdjust = 0.1

------------------------------------------------------------------------------------------------------
-- Scrolling
local VmsIsShiftDown = IsShiftKeyDown
local VmsIsControlDown = IsControlKeyDown
local VmsScale
local function VmsOnMouseWheel(oFrame, nDirection)
	if VmsIsControlDown() then
		VmsScale = oFrame:GetScale()
		if tonumber(nDirection) > 0 then
			VmsScale = VmsScale + VmsAdjust
		else
			VmsScale = VmsScale - VmsAdjust
		end
		if VmsScale > 0 then
			oFrame:SetScale(VmsScale)
		end
	end
end

------------------------------------------------------------------------------------------------------
-- Initialise
WorldMapFrame:SetScript("OnMouseWheel", VmsOnMouseWheel)
WorldMapFrame:EnableMouseWheel(true)

------------------------------------------------------------------------------------------------------
